Бюллетень по безопасности Android – февраль 2018 г.

Опубликовано 5 февраля 2018 г. | Обновлено 2 апреля 2018 г.

В этом бюллетене содержится информация об уязвимостях в защите устройств Android. Все актуальные проблемы, перечисленные здесь, устранены в исправлении от 5 февраля 2018 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в Справочном центре.

Мы сообщили партнерам обо всех проблемах по крайней мере за месяц до выхода бюллетеня. Исправления уязвимостей доступны в хранилище Android Open Source Project (AOSP). В этом бюллетене также приведены ссылки на исправления вне AOSP.

Самая серьезная из проблем – критическая уязвимость в Media Framework, которая позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла. Уровень серьезности зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.

У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе Предотвращение атак рассказывается, как платформа безопасности и Google Play Защита помогают снизить вероятность атак на Android.

Примечание. Информация о последних автоматических обновлениях (OTA) и образах встроенного ПО для устройств Google содержится в бюллетене по безопасности Pixel  и Nexus за февраль 2018 года.

Предотвращение атак

Ниже рассказывается, как платформа безопасности и средства защиты сервисов, например Google Play Защита, позволяют снизить вероятность атак на Android.

  • В новых версиях Android сложнее использовать многие уязвимости, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.
  • Команда, отвечающая за безопасность Android, активно отслеживает злоупотребления с помощью Google Play Защиты и предупреждает пользователей об установке потенциально опасных приложений. Google Play Защита включена по умолчанию на всех устройствах с сервисами Google для мобильных устройств. Она особенно важна, если пользователь устанавливает ПО из сторонних источников.

Описание уязвимостей (обновление системы безопасности 2018-02-01)

В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2018-02-01. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица с CVE, ссылками, типом, уровнем серьезности, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.

Media Framework

Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-13228 A-69478425 УВК Критический 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13231 A-67962232 ПП Высокий 8.0, 8.1
CVE-2017-13232 A-68953950 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13230 A-65483665 ОО Высокий 7.0, 7.1.1, 7.1.2, 8.0, 8.1
УВК Критический 5.1.1, 6.0, 6.0.1
CVE-2017-13233 A-62851602 ОО Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13234 A-68159767 ОО Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Система

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять команды, обычно доступные только привилегированным процессам.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-13236 A-68217699 [2] ПП Средний 8.0, 8.1

Описание уязвимостей (обновление системы безопасности 2018-02-05)

В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2018-02-05. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведена таблица с CVE, ссылками, типом, уровнем серьезности, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.

Компоненты HTC

Самая серьезная уязвимость позволяет локальному вредоносному ПО получать несанкционированный доступ к данным.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-13238 A-64610940* РИ Высокий Загрузчик
CVE-2017-13247 A-71486645* ПП Средний Загрузчик

Компоненты ядра

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-15265 A-67900971
Upstream kernel
ПП Высокий ALSA
CVE-2015-9016 A-63083046
Upstream kernel
ПП Высокий Механизм многопоточного доступа к блочным устройствам blk-mq
CVE-2017-13273 A-65853158* ПП Высокий Ядро

Компоненты NVIDIA

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-6279 A-65023166*
N-CVE-2017-6279
ПП Высокий Media Framework
CVE-2017-6258 A-38027496*
N-CVE-2017-6258
ПП Высокий Media Framework

Компоненты Qualcomm

Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-15860 A-68992416
QC-CR#2082544 [2]
УВК Критический WLAN
CVE-2017-11041 A-35269676*
QC-CR#2053101
ПП Высокий Media Framework
CVE-2017-17767 A-64750179*
QC-CR#2115779
ПП Высокий Media Framework
CVE-2017-17765 A-68992445
QC-CR#2115112
ПП Высокий WLAN
CVE-2017-15862 A-68992439
QC-CR#2114426
ПП Высокий WLAN
CVE-2017-14884 A-68992429
QC-CR#2113052
ПП Высокий WLAN
CVE-2017-15829 A-68992397
QC-CR#2097917
ПП Высокий Graphics_Linux
CVE-2017-15820 A-68992396
QC-CR#2093377
ПП Высокий Graphics_Linux
CVE-2017-17764 A-68992443
QC-CR#2114789
ПП Высокий WLAN
CVE-2017-15861 A-68992434
QC-CR#2114187
ПП Высокий WLAN

Компоненты Qualcomm с закрытым исходным кодом

Эти уязвимости затрагивают компоненты Qualcomm. Они описаны в бюллетенях по безопасности Qualcomm AMSS и оповещениях системы безопасности. Уровень серьезности этих уязвимостей определяется непосредственно компанией Qualcomm.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-14910 A-62212114* Н/Д Высокий Компонент с закрытым исходным кодом

Часто задаваемые вопросы

В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.

1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?

Информацию о том, как проверить обновления системы безопасности, можно найти в Справочном центре.

  • В исправлении от 1 февраля 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-02-01.
  • В исправлении от 5 февраля 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-02-05.

Производители устройств, позволяющие установить эти обновления, должны присвоить им один из следующих уровней:

  • [ro.build.version.security_patch]:[2018-02-01]
  • [ro.build.version.security_patch]:[2018-02-05]

2. Почему в этом бюллетене говорится о двух обновлениях системы безопасности?

Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Рекомендуем партнерам Android исправить все вышеперечисленные проблемы и установить последнее обновление системы безопасности.

  • На устройствах с установленным обновлением 2018-02-01 должны быть исправлены все проблемы, упомянутые в соответствующем разделе этого бюллетеня, а также в предыдущих выпусках.
  • На устройствах с установленным обновлением 2018-02-05 или более новым должны быть исправлены все проблемы, упомянутые в этом бюллетене и предыдущих выпусках.

Рекомендуем партнерам собрать все исправления проблем в одно обновление.

3. Что означают сокращения в столбце Тип?

В этом столбце указан тип уязвимости по следующей классификации:

Сокращение Описание
УВК Удаленное выполнение кода
ПП Повышение привилегий
РИ Раскрытие информации
ОО Отказ в обслуживании
Н/Д Классификация недоступна

4. На что указывают записи в столбце Ссылки?

В таблицах с описанием уязвимостей есть столбец Ссылки. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:

Префикс Значение
A- Идентификатор ошибки Android
QC- Ссылочный номер Qualcomm
M- Ссылочный номер MediaTek
N- Ссылочный номер NVIDIA
B- Ссылочный номер Broadcom

5. Что означает символ * рядом с идентификатором ошибки Android в столбце Ссылки?

Символ * означает, что исправление для уязвимости не опубликовано. Необходимое обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на сайте для разработчиков.

6. Почему теперь одни уязвимости описываются в этих бюллетенях, а другие – в бюллетенях по безопасности Pixel  и Nexus, а также в остальных бюллетенях партнеров?

В этом бюллетене описаны уязвимости, которые были устранены в последнем обновлении системы безопасности для устройств Android. Решать дополнительные проблемы, перечисленные в бюллетенях по безопасности партнеров, для этого не потребовалось. Мы рекомендуем производителям чипсетов и устройств Android рассказывать об исправлениях для своих устройств в бюллетенях по безопасности на собственных сайтах, например Samsung, LGE, а также Pixel  и Nexus.

Версии

Версия Дата Примечания
1.0 5 февраля 2018 г. Бюллетень опубликован.
1.1 7 февраля 2018 г. Добавлены ссылки на AOSP.
1.2 14 февраля 2018 г. Исправлены идентификаторы уязвимостей CVE-2017-13273, CVE-2017-15860, CVE-2017-15861 и CVE-2017-15862.
1.3 2 апреля 2018 г. Сведения об уязвимости CVE-2017-15817 перенесены из этого бюллетеня в бюллетень по безопасности Pixel  и Nexus за февраль.